package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 用户
 * @TableName user_login
 */
@TableName(value ="user_login")
@Data
public class UserLogin implements Serializable {
    /**
     * 用户ID
     */
    @TableId
    private Long id;

    /**
     * 账号
     */
    private String userUsername;

    /**
     * 密码
     */
    private String userPassword;

    /**
     * 盐
     */
    private String salt;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 头像图片
     */
    private String avatar;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 性别1男2女3未知
     */
    private Integer gender;

    /**
     * 个性签名
     */
    private String userIntro;

    /**
     * 手机号
     */
    private String userMobile;

    /**
     * 身份证号
     */
    private String idenNo;

    /**
     * 用户等级
     */
    private Long gradeId;

    /**
     * 等级描述
     */
    private String gradeDesc;

    /**
     * 是否付费会员0否1是
     */
    private Integer isMember;

    /**
     * 过期时间
     */
    private Date loseDate;

    /**
     * 1临时会员2副卡3正式会员
     */
    private Integer memberType;

    /**
     * 生日
     */
    private Date birthDay;

    /**
     * 月
     */
    private Integer birthMonth;

    /**
     * 日
     */
    private Integer days;

    /**
     * 总订单数
     */
    private Integer totalOrder;

    /**
     * 总消费金额
     */
    private BigDecimal totalConsume;

    /**
     * 标签列表
     */
    private String labelList;

    /**
     * 状态1正常0锁定
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新人
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    private Date updatedTime;

    /**
     * 
     */
    private String openId;

    /**
     * 
     */
    private String sessionKey;

    /**
     * 
     */
    private String uniId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        UserLogin other = (UserLogin) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getUserUsername() == null ? other.getUserUsername() == null : this.getUserUsername().equals(other.getUserUsername()))
            && (this.getUserPassword() == null ? other.getUserPassword() == null : this.getUserPassword().equals(other.getUserPassword()))
            && (this.getSalt() == null ? other.getSalt() == null : this.getSalt().equals(other.getSalt()))
            && (this.getNickName() == null ? other.getNickName() == null : this.getNickName().equals(other.getNickName()))
            && (this.getAvatar() == null ? other.getAvatar() == null : this.getAvatar().equals(other.getAvatar()))
            && (this.getUserName() == null ? other.getUserName() == null : this.getUserName().equals(other.getUserName()))
            && (this.getGender() == null ? other.getGender() == null : this.getGender().equals(other.getGender()))
            && (this.getUserIntro() == null ? other.getUserIntro() == null : this.getUserIntro().equals(other.getUserIntro()))
            && (this.getUserMobile() == null ? other.getUserMobile() == null : this.getUserMobile().equals(other.getUserMobile()))
            && (this.getIdenNo() == null ? other.getIdenNo() == null : this.getIdenNo().equals(other.getIdenNo()))
            && (this.getGradeId() == null ? other.getGradeId() == null : this.getGradeId().equals(other.getGradeId()))
            && (this.getGradeDesc() == null ? other.getGradeDesc() == null : this.getGradeDesc().equals(other.getGradeDesc()))
            && (this.getIsMember() == null ? other.getIsMember() == null : this.getIsMember().equals(other.getIsMember()))
            && (this.getLoseDate() == null ? other.getLoseDate() == null : this.getLoseDate().equals(other.getLoseDate()))
            && (this.getMemberType() == null ? other.getMemberType() == null : this.getMemberType().equals(other.getMemberType()))
            && (this.getBirthDay() == null ? other.getBirthDay() == null : this.getBirthDay().equals(other.getBirthDay()))
            && (this.getBirthMonth() == null ? other.getBirthMonth() == null : this.getBirthMonth().equals(other.getBirthMonth()))
            && (this.getDays() == null ? other.getDays() == null : this.getDays().equals(other.getDays()))
            && (this.getTotalOrder() == null ? other.getTotalOrder() == null : this.getTotalOrder().equals(other.getTotalOrder()))
            && (this.getTotalConsume() == null ? other.getTotalConsume() == null : this.getTotalConsume().equals(other.getTotalConsume()))
            && (this.getLabelList() == null ? other.getLabelList() == null : this.getLabelList().equals(other.getLabelList()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getRemark() == null ? other.getRemark() == null : this.getRemark().equals(other.getRemark()))
            && (this.getCreatedTime() == null ? other.getCreatedTime() == null : this.getCreatedTime().equals(other.getCreatedTime()))
            && (this.getUpdatedBy() == null ? other.getUpdatedBy() == null : this.getUpdatedBy().equals(other.getUpdatedBy()))
            && (this.getUpdatedTime() == null ? other.getUpdatedTime() == null : this.getUpdatedTime().equals(other.getUpdatedTime()))
            && (this.getOpenId() == null ? other.getOpenId() == null : this.getOpenId().equals(other.getOpenId()))
            && (this.getSessionKey() == null ? other.getSessionKey() == null : this.getSessionKey().equals(other.getSessionKey()))
            && (this.getUniId() == null ? other.getUniId() == null : this.getUniId().equals(other.getUniId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getUserUsername() == null) ? 0 : getUserUsername().hashCode());
        result = prime * result + ((getUserPassword() == null) ? 0 : getUserPassword().hashCode());
        result = prime * result + ((getSalt() == null) ? 0 : getSalt().hashCode());
        result = prime * result + ((getNickName() == null) ? 0 : getNickName().hashCode());
        result = prime * result + ((getAvatar() == null) ? 0 : getAvatar().hashCode());
        result = prime * result + ((getUserName() == null) ? 0 : getUserName().hashCode());
        result = prime * result + ((getGender() == null) ? 0 : getGender().hashCode());
        result = prime * result + ((getUserIntro() == null) ? 0 : getUserIntro().hashCode());
        result = prime * result + ((getUserMobile() == null) ? 0 : getUserMobile().hashCode());
        result = prime * result + ((getIdenNo() == null) ? 0 : getIdenNo().hashCode());
        result = prime * result + ((getGradeId() == null) ? 0 : getGradeId().hashCode());
        result = prime * result + ((getGradeDesc() == null) ? 0 : getGradeDesc().hashCode());
        result = prime * result + ((getIsMember() == null) ? 0 : getIsMember().hashCode());
        result = prime * result + ((getLoseDate() == null) ? 0 : getLoseDate().hashCode());
        result = prime * result + ((getMemberType() == null) ? 0 : getMemberType().hashCode());
        result = prime * result + ((getBirthDay() == null) ? 0 : getBirthDay().hashCode());
        result = prime * result + ((getBirthMonth() == null) ? 0 : getBirthMonth().hashCode());
        result = prime * result + ((getDays() == null) ? 0 : getDays().hashCode());
        result = prime * result + ((getTotalOrder() == null) ? 0 : getTotalOrder().hashCode());
        result = prime * result + ((getTotalConsume() == null) ? 0 : getTotalConsume().hashCode());
        result = prime * result + ((getLabelList() == null) ? 0 : getLabelList().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getRemark() == null) ? 0 : getRemark().hashCode());
        result = prime * result + ((getCreatedTime() == null) ? 0 : getCreatedTime().hashCode());
        result = prime * result + ((getUpdatedBy() == null) ? 0 : getUpdatedBy().hashCode());
        result = prime * result + ((getUpdatedTime() == null) ? 0 : getUpdatedTime().hashCode());
        result = prime * result + ((getOpenId() == null) ? 0 : getOpenId().hashCode());
        result = prime * result + ((getSessionKey() == null) ? 0 : getSessionKey().hashCode());
        result = prime * result + ((getUniId() == null) ? 0 : getUniId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", userUsername=").append(userUsername);
        sb.append(", userPassword=").append(userPassword);
        sb.append(", salt=").append(salt);
        sb.append(", nickName=").append(nickName);
        sb.append(", avatar=").append(avatar);
        sb.append(", userName=").append(userName);
        sb.append(", gender=").append(gender);
        sb.append(", userIntro=").append(userIntro);
        sb.append(", userMobile=").append(userMobile);
        sb.append(", idenNo=").append(idenNo);
        sb.append(", gradeId=").append(gradeId);
        sb.append(", gradeDesc=").append(gradeDesc);
        sb.append(", isMember=").append(isMember);
        sb.append(", loseDate=").append(loseDate);
        sb.append(", memberType=").append(memberType);
        sb.append(", birthDay=").append(birthDay);
        sb.append(", birthMonth=").append(birthMonth);
        sb.append(", days=").append(days);
        sb.append(", totalOrder=").append(totalOrder);
        sb.append(", totalConsume=").append(totalConsume);
        sb.append(", labelList=").append(labelList);
        sb.append(", status=").append(status);
        sb.append(", remark=").append(remark);
        sb.append(", createdTime=").append(createdTime);
        sb.append(", updatedBy=").append(updatedBy);
        sb.append(", updatedTime=").append(updatedTime);
        sb.append(", openId=").append(openId);
        sb.append(", sessionKey=").append(sessionKey);
        sb.append(", uniId=").append(uniId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}