package com.zhentao.touristAttractions.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 旅游信息表
 * @TableName TouristAttractions
 */
@TableName(value ="TouristAttractions")
@Data
public class Touristattractions implements Serializable {
    /**
     * 景区ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 景区名称
     */
    private String name;

    /**
     * 景区级别
     */
    private String level;

    /**
     * 用户评分
     */
    private BigDecimal rating;

    /**
     * 评论数量
     */
    private Integer reviewCount;

    /**
     * 距离（单位：公里）
     */
    private BigDecimal distanceKm;

    /**
     * 门票价格（单位：元）
     */
    private BigDecimal ticketPrice;

    /**
     * 销量
     */
    private Integer sales;

    /**
     * 景区图片URL
     */
    private String imageUrl;

    /**
     * 创建的时间
     */
    private Date createTime;
//    开园时间
    private Date startTime;
//    地址
    private String address;
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
